textures/fantm_sfx/fog
{
	qer_editorimage textures/fantm_sfx/fog.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.7 0.7 0.7 ) 1400

}

textures/fantm_sfx/lightlong_5k
{
	
	qer_editorimage textures/fantm_sfx/lightlong_5k.jpg
	q3map_surfacelight 5000
	surfaceparm nodamage
	surfaceparm nomarks
	{
		
		map textures/fantm_sfx/lightlong_5k.jpg
	}
}

textures/fantm_sfx/f_water1
{
      	qer_editorimage textures/fantm_sfx/f_water1.jpg
      	qer_trans .5
      	q3map_globaltexture
      	surfaceparm trans
      	surfaceparm nonsolid
      	surfaceparm water
      	cull disable
      	deformVertexes wave 64 sin .5 .5 0 .5   
      	{
         		map textures/fantm_sfx/f_water1.jpg
         		blendFunc GL_dst_color GL_one
         		rgbgen identity
         		tcmod scale .5 .5
         		tcmod transform 1.5 0 1.5 1 1 2
	         	tcmod scroll -.05 .001
      	}

      	{
         		map textures/fantm_sfx/f_water2.jpg
         		blendFunc GL_dst_color GL_one
         		rgbgen identity
         		tcmod scale .5 .5
         		tcmod transform 0 1.5 1 1.5 2 1
	         	tcmod scroll .025 -.001
      	}

      	{
         		map textures/fantm_sfx/f_water3.jpg
         		blendFunc GL_dst_color GL_one
         		rgbgen identity
         		tcmod scale .25 .5
         		tcmod scroll .001 .025
      	}

      	{
         		map $lightmap
         		blendFunc GL_dst_color GL_zero
         		rgbgen identity      
      	}
}

textures/fantm_sfx/f_glass
{
    	q3map_lightImage textures/fantm_sfx/f_glass_radiosity.tga
    	qer_editorImage textures/fantm_sfx/f_clear_tr.tga
    	qer_trans 0.2
    	q3map_bounceScale 0.22
    	surfaceparm nodamage
    	surfaceparm nolightmap
    	surfaceparm detail
    	surfaceparm trans
	surfaceparm glass
    	cull disable
    	{
        		map textures/fantm_sfx/f_glass_transparent.tga
       		blendFunc add
       		tcGen environment
    	}
}

textures/fantm_sfx/lavabeam
{
	qer_editorimage textures/fantm_sfx/lavabeam.jpg
        	surfaceparm trans	
        	surfaceparm nomarks	
        	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        	nomipmaps
	{
		map textures/fantm_sfx/lavabeam.jpg
                		tcMod Scroll 999 0
                		blendFunc add
        	}
     
}

textures/fantm_sfx/beam_red
{
	qer_editorimage textures/fantm_sfx/beam_red.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map textures/fantm_sfx/beam_red.jpg
		tcMod Scroll 999 0
		blendFunc add
	}
}

textures/fantm_sfx/beam_blue
{
	qer_editorimage textures/fantm_sfx/beam_blue.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map textures/fantm_sfx/beam_blue.jpg
		tcMod Scroll 999 0
		blendFunc add
	}
}

textures/fantm_sfx/portal_blue
{
	qer_trans .2
	qer_editorimage textures/fantm_sfx/portal_blue.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/fantm_sfx/portal_blue.jpg
		tcGen environment
                		tcMod turb 0 0.25 0 0.5
                		tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}	

textures/fantm_sfx/portal_red
{
	qer_trans .2
	qer_editorimage textures/fantm_sfx/portal_red.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/fantm_sfx/portal_red.jpg
		tcGen environment
                		tcMod turb 0 0.25 0 0.5
                		tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/fantm_sfx/portal_pink
{
	qer_trans .2
	qer_editorimage textures/fantm_sfx/portal_pink.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/fantm_sfx/portal_pink.jpg
		tcGen environment
                		tcMod turb 0 0.25 0 0.5
                		tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/fantm_sfx/beam_waterlight
{
	qer_editorimage textures/fantm_sfx/beam_waterlight.jpg
        	surfaceparm trans	
        	surfaceparm nomarks	
        	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        	nomipmaps
	{
		map textures/fantm_sfx/beam_waterlight.jpg
                		tcMod Scroll 999 0
                		blendFunc add
        	}
     
}

textures/fantm_sfx/beam
{
	qer_editorimage textures/fantm_sfx/beam.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map textures/fantm_sfx/beam.jpg
		tcMod Scroll 999 0
		blendFunc add
	}
}

textures/fantm_sfx/glass_red
{
	qer_editorimage textures/fantm_sfx/red_fx.tga
	qer_trans .2
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nodamage
	cull disable
	{
		map textures/fantm_sfx/red_fx.tga
		blendFunc add
		tcGen environment
	}
}

textures/fantm_sfx/glass_blue
{
	qer_editorimage textures/fantm_sfx/blue_fx.tga
	qer_trans .2
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nodamage
	cull disable
	{
		map textures/fantm_sfx/blue_fx.tga
		blendFunc add
		tcGen environment
	}
}

textures/fantm_sfx/lava
{
	qer_editorimage textures/fantm_sfx/lava.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull none
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/fantm_sfx/lava_bg.tga
		tcMod turb 0 .2 0 .1
	}       
}

textures/fantm_sfx/lavafog
{
    	qer_editorImage textures/fantm_sfx/lavafog.tga
    	qer_trans 0.50
    	qer_nocarve
    	surfaceparm trans
	surfaceparm noimpact
    	surfaceparm nonsolid
    	surfaceparm fog
    	surfaceparm nolightmap
    	fogParms ( 0.94 0.50 0.16 ) 150
}

textures/fantm_sfx/chrome_dark
{
	qer_editorimage textures/fantm_sfx/chrome_dark.tga
        	surfaceparm detail
        	surfaceparm nodamage
        	surfaceparm nomarks
	surfaceparm nolightmap
        	{
            		map textures/fantm_sfx/chrome_fx.tga
            		tcGen environment
        	}
        	{
            		map textures/fantm_sfx/chrome_dark.tga
            		blendFunc GL_ONE GL_ONE
            		rgbGen identity
        	}
        	{
            		rgbgen identity
            		blendFunc GL_DST_COLOR GL_ZERO
        	}
}

textures/fantm_sfx/chrome_light
{
	qer_editorimage textures/fantm_sfx/chrome_light.tga
        	surfaceparm detail
        	surfaceparm nodamage
        	surfaceparm nomarks
	surfaceparm nolightmap
        	{
            		map textures/fantm_sfx/chrome_fx.tga
            		tcGen environment
        	}
        	{
            		map textures/fantm_sfx/chrome_dark.tga
            		blendFunc GL_ONE GL_ONE
            		rgbGen identity
        	}
        	{
            		rgbgen identity
            		blendFunc GL_DST_COLOR GL_ZERO
        	}
}
