textures/vaccum/vac_sec1
{
    qer_editorimage textures/vaccum/vac_sec1.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm nonsolid
    cull none  
    
    {
 		map textures/vaccum/vac_sec1.tga        
 		blendfunc add
   }  
}

textures/vaccum/glass
{
	qer_trans 0.7
	qer_editorimage textures/vaccum/glass_test.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
	cull none
	{
		map textures/vaccum/glassfx.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE

        }
}

textures/vaccum/strip_2k
{
	qer_editorimage textures/vaccum/test_strip.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vaccum/test_strip.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vaccum/test_strip_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/vaccum/small_spot_2k
{
	surfaceparm nomarks
	qer_editorimage textures/vaccum/spot_small.tga
	q3map_surfacelight 2500
	{
		
		map textures/vaccum/spot_small.tga
		rgbGen identity
	}
}

textures/vaccum/light_5k
{
	qer_editorimage textures/vaccum/test_panel.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vaccum/test_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vaccum/test_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vaccum/vac_wall_2
{
	qer_editorimage textures/vaccum/vac_wall_2.jpg
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/vaccum/vac_wall_2.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/vaccum/decking
{
	qer_editor_image textures/vaccum/decking.tga
	qer_trans 0.40
	cull disable
	surfaceparm nodamage
	{
		map textures/vaccum/decking.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/vaccum/decking_holes
{
	qer_editor_image textures/vaccum/decking_holes.tga
	qer_trans 0.40
	cull disable
	surfaceparm nodamage
	{
		map textures/vaccum/decking_holes.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/vaccum/vac_plate1
{
	qer_editorimage textures/vaccum/vac_plate1.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_plate1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_wall_1
{
	qer_editorimage textures/vaccum/vac_wall_1.tga
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/vaccum/vac_wall_1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_crete_1
{
	qer_editorimage textures/vaccum/vac_crete_1.jpg
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/vaccum/vac_crete_1.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_light1
{
	surfaceparm nomarks
	qer_editorimage textures/vaccum/vac_light1.jpg
	q3map_surfacelight 8000
	{
		
		map textures/vaccum/vac_light1.jpg
		rgbGen identity
	}
}

textures/vaccum/vac_light2
{
	surfaceparm nomarks
	qer_editorimage textures/vaccum/vac_light2.jpg
	q3map_surfacelight 8000
	{
		
		map textures/vaccum/vac_light2.jpg
		rgbGen identity
	}
}

textures/vaccum/vac_beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	//surfaceparm nomipmaps
        //nopicmip
	{
		map textures/vaccum/vac_beam.jpg
                tcMod Scroll .3 0
                blendFunc add
        }
        // {
	//	map textures/vaccum/vac_beam.jpg
        //        tcMod Scroll -.3 0
        //        blendFunc GL_ONE GL_ONE
        // }
     
}

textures/vaccum/vac_plate4
{
	qer_editorimage textures/vaccum/vac_plate4.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_plate4.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_metal1
{
	qer_editorimage textures/vaccum/vac_metal1.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_metal1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_plate3
{
	qer_editorimage textures/vaccum/vac_plate3.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_plate3.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_panel1
{
	qer_editorimage textures/vaccum/vac_panel1.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_panel1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_panel2
{
	qer_editorimage textures/vaccum/vac_panel2.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_panel2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_crete_2
{
	qer_editorimage textures/vaccum/vac_crete_2.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_crete_2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_warn2.tga
{
	qer_editorimage textures/vaccum/vac_warn2.tga
	surfaceparm nodamage
	{
		map textures/vaccum/vac_warn2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_metal_wall1
{
	qer_editorimage textures/vaccum/vac_metal_wall1.jpg
	surfaceparm nodamage
	{
		map textures/vaccum/vac_metal_wall1.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_metal_wall2
{
	qer_editorimage textures/vaccum/vac_metal_wall2.jpg
	surfaceparm nodamage
	{
		map textures/vaccum/vac_metal_wall2.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_metal_wall_3
{
	qer_editorimage textures/vaccum/vac_metal_wall_3.jpg
	surfaceparm nodamage
	{
		map textures/vaccum/vac_metal_wall_3.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/light_large.jpg
{
	surfaceparm nomarks
	qer_editorimage textures/vaccum/light_large.jpg
	q3map_surfacelight 8000
	{
		
		map textures/vaccum/light_large.jpg
		rgbGen identity
	}
}

textures/vaccum/longlight
{
	surfaceparm nomarks
	qer_editorimage textures/vaccum/longlight.jpg
	q3map_surfacelight 8000
	{
		
		map textures/vaccum/longlight.jpg
		rgbGen identity
	}
}

textures/vaccum/decking_iron
{
	qer_editor_image textures/vaccum/decking_iron.tga
	qer_trans 0.40
	cull disable
	surfaceparm nodamage
	{
		map textures/vaccum/decking_iron.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/vaccum/new_light
{
	surfaceparm nomarks
	surfaceparm nodamage
	qer_editorimage textures/vaccum/new_light.jpg
	q3map_surfacelight 8000
	{
		
		map textures/vaccum/new_light.jpg
		rgbGen identity
	}
}

textures/vaccum/vac_wall_5
{
	qer_editorimage textures/vaccum/vac_wall_5.jpg
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/vaccum/vac_wall_5.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/vaccum/vac_tinylight
{
	surfaceparm nomarks
	surfaceparm nodamage
	qer_editorimage textures/vaccum/vac_tinylight.jpg
	q3map_surfacelight 8000
	{
		
		map textures/vaccum/vac_tinylight.jpg
		map $lightmap
	}
	{
		map textures/vaccum/vac_tinylight_blend.jpg
		map $lightmap
	}
}

textures/vaccum/vac_metallcrete1
{
	qer_editorimage textures/vaccum/vac_metallcrete1.jpg
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map $lightmap
		map textures/vaccum/vac_metallcrete1.jpg
	}
}

textures/vaccum/vac_metallcrete2
{
	qer_editorimage textures/vaccum/vac_metallcrete2.jpg
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map $lightmap
		map textures/vaccum/vac_metallcrete2.jpg
	}
}

textures/vaccum/vac_longlight
{
	surfaceparm nomarks
	surfaceparm nodamage
	qer_editorimage textures/vaccum/vac_longlight.jpg
	q3map_surfacelight 8000
	{
		
		map$lightmap
		map textures/vaccum/vac_longlight.jpg
	}
}

